/*
=============================================================
This Skin for DataLife Engine Developed by DLETemplates.com
Copyright © 2005-2007 DLETemplates.com  All Rights Reserved.

File 'engine.css' - Cascading Style Sheet (CSS) Document
=============================================================
*/

/* ==================== Вывод архива */

.archives {
	margin-top: 6px;
	margin-left: 10px;
	margin-bottom: 10px;
}
.archives a {
	color: #43637e;
}

/* ==================== Цитата и скрытый текст */

.title_quote {
	color: #636363;
	background-color: #f2f2f2;
	border: 1px dotted #bebebe; 
	border-bottom: 0;
	font-weight: bold;
	padding: 5px;
}

/* ==================== Tэг CODE */

.scriptcode {
	color: #757575;
	background-color: #f2f2f2; 
	border: 1px dotted #bebebe;
	text-align: left;
	padding: 5px;
}

/* ==================== Календарь */

.weekday-active-v {
	color: #65b0ce;
}
.day-active-v {
	color: #65b0ce; font-weight: bold;
}
.calendar { color: #757575; }
.calendar td, th {
	 text-decoration: none;
	 padding-left: 6px;
 	 padding-right: 6px;
	 padding-top: 3px;
	 padding-bottom: 4px;
}
.weekday { color: #65b0ce; }
.weekday-active { color: #65b0ce; }
.day-active { color: #65b0ce; }

.day-active a, .weekday-active a, .day-active-v a, .weekday-active-v a {
	text-decoration: underline;
}
.monthlink { text-decoration: none; }
.day-current {
	background:#F9F9F9;
	border:1px solid #FF9966;
}

/* ==================== Рейтинг статьи */

.rating {
	color: #666666;
	font-family: Tahoma, helvetica, sans-serif;
	font-size: 9px; 
	width: 85px; height: 18px;
}

.unit-rating {
	list-style: none;
	margin: 0; padding: 0;
	width: 85px; height: 18px;
	position: relative;
	background: url("../dleimages/rating.png") repeat-x left top;
}
	
.unit-rating li {
	text-indent: -90000px;
	padding: 0; margin: 0;
	float: left;
}

.unit-rating li a {
	display: block;
	width: 17px; height: 18px;
	text-decoration: none;
	text-indent: -9000px;
	z-index: 17;
	position: absolute;
	padding: 0px;
}

.unit-rating li a:hover {
	background: url("../dleimages/rating.png") left -20px;
	z-index: 2;
	left: 0px;
}

.unit-rating a.r1-unit {left: 0px;}
.unit-rating a.r1-unit:hover {width:17px;}
.unit-rating a.r2-unit {left:17px;}
.unit-rating a.r2-unit:hover {width: 34px;}
.unit-rating a.r3-unit {left: 34px;}
.unit-rating a.r3-unit:hover {width: 51px;}
.unit-rating a.r4-unit {left: 51px;}	
.unit-rating a.r4-unit:hover {width: 68px;}
.unit-rating a.r5-unit {left: 68px;}
.unit-rating a.r5-unit:hover {width: 85px;}
.unit-rating li.current-rating {
	background: url("../dleimages/rating.png") left -40px;
	position: absolute;
	height: 18px;
	display: block;
	text-indent: -9000px;
	z-index: 1;
}

/* ==================== BB коды */
 
.bbcodes, .bbcodes-light {
	background-color: #e3e3e3;
	border: 1px solid #c4c4c4;
	color: #7c7c7c;
	padding: 2px;
	font-weight: bold;
	cursor: pointer;
	margin: 10px 0;
}

/* класс bbcodes_poll используем в poll.tpl, vote.tpl, addnews.tpl */

.bbcodes_poll {
	background-color: #509CC4;
	border: 1px solid #000000;
	color: #FFFFFF;
	font-size: 11px;		/* ! */
	font-family: tahoma;	/* ! */
	width: 120px;
	height: 20px;
	background-image: url(../images/dlet_bttn_bbcodes.gif);
	background-repeat: repeat-x;
	font-weight: bold;
}

.editor_button {
	float: left;
	cursor: pointer;
	padding-left: 2px;
	padding-right: 2px;
}
.editor_buttoncl {
	float: left;
	cursor: pointer;
	padding-left: 1px;
	padding-right: 1px;
	border-left: 1px solid #bbbbbb;
	border-right: 1px solid #bbbbbb;
}
.editbclose {
	float: right;
	cursor: pointer;
}
.editor_button select {
	font-family: tahoma;
	font-size: 11px;
}

.editor_button img { margin: 0; padding: 0; }
.editbclose img { margin: 0; padding: 0; }
.editor_button_brk img { margin: 0; padding: 0; }

/* ==================== Дополнительные поля новостей */

.xfields textarea {
	color: #757575;		/* ! */
	font-size: 11px;		/* ! */
	font-family: tahoma;	/* ! */
	background-image: url(../images/dlet_field_o.gif);
	background-repeat: repeat-x;

	width: 499px;
	height: 86px;
	border: 1px solid #e0e0e0;
}
.xfields input {
	color: #757575;		/* ! */
	font-size: 11px;		/* ! */
	font-family: tahoma;	/* ! */
	background-image: url(../images/dlet_field_o.gif);
	background-repeat: repeat-x;

	width: 250px;
	height: 14px;
	border: 1px solid #e0e0e0;
}
.xfields select {
	color: #757575;		/* ! */
	font-size: 11px;		/* ! */
	font-family: tahoma;	/* ! */
	background-image: url(../images/dlet_field_o.gif);
	background-repeat: repeat-x;
	border: 1px solid #e0e0e0;
}

/* ==================== Дополнительные поля профиля пользователей */

.xprofile textarea {
	color: #757575;		/* ! */
	font-size: 11px;		/* ! */
	font-family: tahoma;	/* ! */
	background-image: url(../images/dlet_field_o.gif);
	background-repeat: repeat-x;

	width: 316px;
	height: 86px;
	border: 1px solid #e0e0e0;
}
.xprofile input {
	color: #757575;		/* ! */
	font-size: 11px;		/* ! */
	font-family: tahoma;	/* ! */
	background-image: url(../images/dlet_field_o.gif);
	background-repeat: repeat-x;

	width: 250px;
	height: 14px;
	border: 1px solid #e0e0e0;
}

/* ==================== Персональные сообщения */ 

.pm_head {font-weight: bold;}
/* ==================== Выпадающее меню */

#dropmenudiv {
	border: 1px solid #ffffff;
	border-bottom-width: 0;
	font: normal 10px Verdana;
	background-color: #ababab;
	line-height: 20px;
	margin: 2px;
	opacity: 0.95;
	-ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=95) progid:DXImageTransform.Microsoft.Shadow(color=#cacaca, direction=135, strength=3)";
	filter: alpha(opacity=95, enabled=1) progid:DXImageTransform.Microsoft.Shadow(color=#cacaca, direction=135, strength=3);
}

#dropmenudiv a {
	display: block;
	text-indent: 3px;
	text-decoration: none;
  	color: #ffffff;
	background-color: #ababab;
	border: 1px solid #ffffff;
	padding: 1px 0;
	margin: 1px;
	font-weight: bold;
}

#dropmenudiv a:hover { 
	background: #619dc1;
	color: #ffffff;
}

/* ==================== Опрос пользователей */
.vote {
	color: #757575;
}

/* ==================== Уведомление о получении новых PM */

#newpm {
	position: absolute;
	width: 400px;
	padding: 4px;
	background-color: #fdfdfd;
	border: 1px solid #bbbbbb;
	font-family: verdana;
	line-height: 135%;
}
#newpmheader {
	padding-left: 5px;
	padding-right: 5px;
	padding-top: 2px;
	height: 20px;
	font-weight: bold;
	background-color: #e0e0e0;
	cursor: move;
}
#newpm a { background: transparent; }
#newpm a:hover { background: transparent; }

/* ==================== Ссылка на скачивание прикрепленного файла */

.attachment {
	color: #808080;
}

/* ==================== Поиск по сайту и результаты поиска */

.search {
	color: #444444;
	text-decoration: none;
	font-weight: normal;
}
.textin {
	background-image: url(../images/dlet_field_o.gif);
	background-repeat: repeat-x;
	border: 1px solid #b5b5b5;
	text-decoration: none;
	color: #999999;
}
.sresult  {
	text-align: justify;
	font-weight: normal;
	line-height: 16px;
	color: #999999;
}


/* ==================== Рамка расширенной формы поиска по сайту */

	fieldset {
		border: 1px solid #e0e0e0;
		padding: 5px;
		text-align: left;
		font-size: 11px;		/* ! */
		font-family: tahoma;	/* ! */
	}

/* ==================== показ оригинальной картинки загруженной на сайт из уменьшенной копии */
.highslide-active-anchor img { visibility: hidden; }
.highslide-image-blur { }
.highslide-html { background-color: white; }
.highslide-html-content {
    display: none;
}
.highslide-loading {
    display: block;
	color: white;
	font-size: 9px;
	font-weight: bold;
    text-decoration: none;
	padding: 3px;
	border: 1px solid white;
    background-color: black;
}
a.highslide-full-expand {
	background: url(../dleimages/fullexpand.gif) no-repeat;
	display: block;
	margin: 0 10px 10px 0;
	width: 34px;
	height: 34px;
}
.highslide-footer {
	height: 11px;
}
.highslide-footer .highslide-resize {
	float: right;
	height: 12px;
	width: 11px;
	background: url(../dleimages/resize.gif);
}
.highslide-resize {
    cursor: nw-resize;
}
.highslide-display-block {
    display: block;
}
.highslide-display-none {
    display: none;
}

/* ==================== Облако тегов */
.clouds_xsmall { font-size: 0.9em; }
.clouds_small { font-size: 0.9em; font-weight: bold; }
.clouds_medium { font-size: 1em; }
.clouds_large { font-size: 1.1em; font-weight: bold; }
.clouds_xlarge { font-size: 1.5em; }

/* ==================== Тег SPOILER */
.title_spoiler {
	color: #636363;
	background-color: #f2f 2f2;
	border: 1px dotted #bebebe; 
	font-weight: bold;
	padding: 5px;
}

.text_spoiler {
	color: #757575;
	background-color: #f2f2f2;
	border: 1px dotted #bebebe;
	border-top: 0;
	text-align: justify;
	padding: 5px;
}

.mass_comments_action {display: block; text-align: right; margin-bottom: 15px;}
.comdate input {margin: 2px 0 0 5px;}
.comdate span {vertical-align: top;}
div label {margin-left: 10px;}

/*---Подсветка кода в теге [code]---*/
pre code {
  display: block; padding: 0.5em;
  background: #f9fafa; 
  border: 1px solid #dce7e7;
  overflow:auto;
  white-space: pre;
}

pre .comment,
pre .template_comment,
pre .diff .header,
pre .doctype,
pre .lisp .string,
pre .javadoc {
  color: #93a1a1;
  font-style: italic;
}

pre .keyword,
pre .css .rule .keyword,
pre .winutils,
pre .javascript .title,
pre .method,
pre .addition,
pre .css .tag,
pre .lisp .title {
  color: #859900;
}

pre .number,
pre .command,
pre .string,
pre .tag .value,
pre .phpdoc,
pre .tex .formula,
pre .regexp,
pre .hexcolor {
  color: #2aa198;
}

pre .title,
pre .localvars,
pre .function .title,
pre .chunk,
pre .decorator,
pre .builtin,
pre .built_in,
pre .lisp .title,
pre .identifier,
pre .title .keymethods,
pre .id {
  color: #268bd2;
}

pre .tag .title,
pre .rules .property,
pre .django .tag .keyword {
  font-weight: bold;
}

pre .attribute,
pre .variable,
pre .instancevar,
pre .lisp .body,
pre .smalltalk .number,
pre .constant,
pre .class .title,
pre .parent,
pre .haskell .label {
  color: #b58900;
}

pre .preprocessor,
pre .pi,
pre .shebang,
pre .symbol,
pre .diff .change,
pre .special,
pre .keymethods,
pre .attr_selector,
pre .important,
pre .subst,
pre .cdata {
  color: #cb4b16;
}

pre .deletion {
  color: #dc322f;
}

pre .tex .formula {
  background: #eee8d5;
}